# Class SecurityUtil

java.lang.Object
org.apache.jasper.security.SecurityUtil

public final class SecurityUtil extends Object
Util class for Security related operations.

## Constructor Summary

Constructors
Constructor
Description
`SecurityUtil()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isPackageProtectionEnabled()`
Return the `SecurityManager` only if Security is enabled AND package protection mechanism is enabled.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SecurityUtil

public SecurityUtil()

## Method Details

### isPackageProtectionEnabled

public static boolean isPackageProtectionEnabled()
Return the `SecurityManager` only if Security is enabled AND package protection mechanism is enabled.

Returns:
  `true` if package protection is enabled